syntax = "proto3";
package relation;
option go_package = "bsm/full/module/social/relation/pb;relation";
import "protobuf/blocks.proto";

// relation-关系管理:关注
service Follow{
    // 执行关注
    rpc Doing(blocks.IdentRequest) returns (blocks.DataStatusReply) {}

    // 撤销关注
    rpc Undo(blocks.IdentRequest) returns (blocks.DataStatusReply) {}

    // 关注状态
    rpc State(blocks.IdentRequest) returns (blocks.DataStatusReply) {}

    // 获取关注列表
    rpc Fetch(blocks.FetchRequest) returns (blocks.FetchRelationItemReply) {}
}



